"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProgram = void 0;
const commander_1 = require("commander");
const constants_1 = require("../constants");
const version_json_1 = require("../version.json");
const example = `
Example:
$ resolve-tspaths --project tsconfig.json --src ./src -out ./dist
`;
/**
 * Create the CLI program.
 */
function createProgram() {
    const program = new commander_1.Command();
    program
        .version(version_json_1.version)
        .name("resolve-tspaths")
        .addHelpText("after", example)
        .option("-p, --project <path>", "path to tsconfig file", "tsconfig.json")
        .option("-s, --src <path>", "path to source directory")
        .option("-o, --out <path>", "path to output directory")
        .option("--ext <extensions...>", "space-delimited list of file extensions to process", constants_1.DEFAULT_EXTENSIONS)
        .option("--verbose", "output logs", false)
        .option("--noEmit", "changes will not be emitted", false);
    return program;
}
exports.createProgram = createProgram;
