"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadTSConfig = void 0;
const typescript_1 = require("typescript");
const errors_1 = require("../utils/errors");
/**
 * Load the tsconfig file using Typescript's built-in config file loader.
 *
 * @param path The path to the tsconfig file.
 */
function loadTSConfig(path) {
    const configFileName = (0, typescript_1.findConfigFile)(process.cwd(), typescript_1.sys.fileExists, path);
    if (!configFileName)
        throw new errors_1.FileNotFoundError(loadTSConfig.name, path);
    const configFile = (0, typescript_1.readConfigFile)(configFileName, typescript_1.sys.readFile);
    const options = (0, typescript_1.parseJsonConfigFileContent)(configFile.config, typescript_1.sys, ".");
    return options;
}
exports.loadTSConfig = loadTSConfig;
