export declare class StepError extends Error {
    readonly step: string;
    constructor(step: string, message: string);
}
export declare class FileError extends StepError {
    readonly step: string;
    readonly path: string;
    constructor(step: string, path: string, message: string);
}
export declare class FileNotFoundError extends FileError {
    constructor(step: string, path: string);
}
export declare class TSConfigPropertyError extends StepError {
    readonly step: string;
    readonly property: string;
    constructor(step: string, property: string);
}
export declare class InvalidAliasError extends StepError {
    readonly step: string;
    readonly alias: string;
    constructor(step: string, alias: string);
}
